### Class

# Gtk MultiSorter

#### Description [src]

    final class Gtk.MultiSorter : Gtk.Sorter {
      /* No available fields */
    }

`GtkMultiSorter` combines multiple sorters by trying them in turn.

If the first sorter compares two items as equal, the second is tried next, and so on.

#### Hierarchy

#### Ancestors

- GtkSorter
- GObject

#### Implements

- GListModel
- GtkBuildable

#### Constructors

###### gtk_multi_sorter_new

Creates a new multi sorter.

#### Instance methods

###### gtk_multi_sorter_append

Add `sorter` to `self` to use for sorting at the end.

###### gtk_multi_sorter_remove

Removes the sorter at the given `position` from the list of sorter used by `self`.

##### Methods inherited from GtkSorter (3)

###### gtk_sorter_changed

Notifies all users of the sorter that it has changed.

###### gtk_sorter_compare

Compares two given items according to the sort order implemented by the sorter.

###### gtk_sorter_get_order

Gets the order that `self` conforms to.

##### Methods inherited from GtkBuildable (1)

###### gtk_buildable_get_buildable_id

Gets the ID of the `buildable` object.

#### Class structure

    struct GtkMultiSorterClass {
      GtkSorterClass parent_class;

    }

###### Class members

`parent_class` |
    GtkSorterClass
| No description available.